; PlatformIO Project Configuration File
;
;   Build options: build flags, source filter
;   Upload options: custom upload port, speed and extra flags
;   Library options: dependencies, extra library storages
;   Advanced options: extra scripting
;
; Please visit documentation for the other options and examples
; https://docs.platformio.org/page/projectconf.html

[env:d1_mini_lite]
platform = espressif8266
board = d1_mini_lite
framework = arduino


monitor_speed = 115200
upload_speed = 512000


lib_deps=
  adafruit/Adafruit NeoPixel @ 1.12.0
  adafruit/Adafruit GFX Library @ 1.11.9
  adafruit/Adafruit NeoMatrix @ 1.3.2
  knolleary/PubSubClient @ 2.8
  bblanchon/ArduinoJson @ 7.0.4